Packages - Housekeeping #2546

[STICKY][poppler]: and friends (x86_64)
2019-11-14 08:48 PM - Anonymous

Status: open % Done: 100%
Priority: bug

Assignee:

Category:

Description

this is the current list of 'poppler' dependents for x86_64 systems - each time 'poppler is upgraded in arch, each of these packages
should be rebuilt against the upgraded 'poppler' with the sodeps for each 'libpoppler*.so’, then the 'poppler-parabola’ package should
be upgraded to the same version as arch

UPDATE: currently, neither cups-filters nor texlive-bin strictly needs to be rebuild each time poppler is upgraded - i believe that they
vendor in their own poppler now - i remember that texlive-bin has not used the system poppler since about a year ago

for that reason, this 'sticky' epic for poppler, could probably be closed permanently - OTOH, we prefer to use system libs whenever
possible - i just havent decided to restore that or not - with poppler system libs, texlive-bin must be rebuilt each time either poppler or
icu is upgraded; which is fairly often - there is discussion of whether we need blacklist replacements for any of texlive; so it is still an
open question

Subtasks:

Bug # 2351: [libre/cups-filters]: rebuild against new poppler (x86_64) fixed
Bug # 2776: [libre/texlive-bin]: rebuild against new poppler (x86_64) fixed
History

#1 - 2019-11-15 01:46 AM - freemor
- % Done changed from 0 to 20
- Status changed from unconfirmed to confirmed

- Subject changed from testing/[icuj[poppler] Conflicts to [icu 0.65.1][poppler 0.82.0] Conflicts - packages need rebuilds

[libre/hardinfo] - Rebuild for x86_46
[libre/cups-filters] - Rebuilt for x86_64
[libre/texlive-bin] - uilding now for x86_64

The new poppler nad icu haven't hit for the other 2 Architectures yet.

#2 - 2019-11-15 02:13 AM - freemor
[libre/texlive-bin]  Rebuilt for x86_64
Starting [libre/iceape]

#3 - 2019-11-15 02:42 AM - freemor

IceApe failed first rebuild trying again... going to bed now will check it in the morning

#4 - 2019-11-15 11:54 AM - freemor

[libre/iceape] not rebuilding easily.. switching to iceweasel as that is more popular and should probably get done first.
I'm expecting it to fail. These Moz browsers never just rebuild easily.

#5 - 2019-11-15 12:23 PM - freemor

Hmmm.. [libre/iceweasel] seems to be missing the '0001-Use-remoting-name-for-GDK-application-names.patch' file.

Trying icecat

#6 - 2019-11-15 12:52 PM - freemor

Ok, 12 minutes in on the Icecat rebuild.. Here's hoping it finishes.

#7 - 2019-11-15 12:54 PM - freemor
Nope.. it crapped out while i was writing the above.

#8 - 2019-11-15 01:13 PM - freemor

If Other Dev want to take a look at the build logs they are in:

/mnt/data/freemor_builds/

On beefcake

Gotta run IRL Calling

#9 - 2019-11-15 04:42 PM - freemor

Another Try at rebuilding Icecat...

#10 - 2019-11-15 06:04 PM - freemor

Looks like all the Browser builds are failing with very similar errors.
I'm guessing something has changed in the build environment that they don't like

From most recent Icecat attempt

Off to investigate

21:
21:
21:

21

21:

09.
09.
09.
:09.
09.

22
68
68
68
69

libnetwerk_base.a.desc

make[2]: *** [/build/icecat/src/icecat-60.3.0/config/recurse.mk:33: compile] Error 2
make[l]: *** [/build/icecat/src/icecat-60.3.0/config/rules.mk:434: default] Error 2
make: *** [client.mk:168: build] Error 2

180 compiler warnings present.

==> ERROR: A failure occurred in build() .
Aborting...
Copying log and package files out of the chroot...

#11 - 2019-11-15 06:29 PM - freemor

Found the missing 0001-Use-remoting-name-for-GDK-application-names.patch

Retrying [libre\iceweasel]

#12 - 2019-11-15 06:52 PM - freemor

Well, crap:

1:05.15 checking MOZ_FFI_LIBS... -L/usr/lib/../lib -1ffi

1:05.41 checking for nodejs... /usr/bin/node: error while loading shared libraries: libicuil8n.so.64:
open shared object file: No such file or directory

1:05.41 no

1:05.41 ERROR: NODEJS must point to node 8.11 or newer; found node location: /usr/bin/node.

1:05.41 Executing ‘mach bootstrap --no-system-changes’ should

1:05.41 install a compatible version in ~/.mozbuild on most platforms.

1:05.41 If you believe this is a bug, <https://mzl.la/2vLbXAv> is a good way

1:05.41 to file. More details: <https://bit.ly/2BbyD1E>

1:05.53 *** Fix above errors and then restart with\

1:05.53 "./mach build"

1:05.53 make: *** [client.mk:115: configure] Error 1

==> ERROR: A failure occurred in build().
Aborting...

Am | reading that right? Upstream nodejs not yet rebuilt against the new ICU 65?

#13 - 2019-11-15 07:02 PM - oaken-source

your chroot is outdated, on my system node requires icu65

I'm currently rebuilding phantomjs, afterwards | can look at iceweasel and friends if need be :)

#14 - 2019-11-15 07:18 PM - freemor

Good catch | updated it late last night the nodejs stuf must have snuck in sing that.

Updating the Chroot and re-trying

#15 - 2019-11-16 01:25 AM - freemor
[libre/epiphany] X86_64 Rebuilt against new ICU. Updated to 3.35.1

#16 - 2019-11-16 02:02 AM - freemor
[libre/openttd] x86_64 rebuild against new ICU.

#17 - 2019-11-16 02:30 AM - freemor

[libre/calibre] x86_64 rebuilt against new icu

#18 - 2019-11-16 03:03 AM - freemor

2 of [pcr/california]'s patches are not available from the listed source. AUR only has California-git. Looks like California might need a Redux

#19 - 2019-11-16 08:47 AM - oaken-source
- File california-0.4.0-libical-3.0.patch added
- File 0002-Build-with-evolution-data-server-3.13.90.patch added

| have them archived locally. see attached.

#20 - 2019-11-16 01:03 PM - freemor
Excellent. Will grab them and do the rebuilds

#21 - 2019-11-16 04:42 PM - oaken-source
[pcr/phantomjs] patched and rebuilt for icu-65

#22 - 2019-11-17 07:20 PM - freemor
- % Done changed from 20 to 40

think we are down to just the Ice* things. I'll be entering a busy all day type situation till Wed. or Thurs
So my ontibutions will definitely slow to a trickle for the next few days

#23 - 2019-11-18 09:48 AM - grizzlyuser

In case if it can help, here are patches for iceweasel 70.0 https:/lists.parabola.nu/pipermail/dev/2019-October/007484.html . | didn't try to build it for
686 or armv7h though, only for x86_64. This still needs to be updated to include more recent commits from Arch firefox, starting from and including

https:/git.archlinux.org/svntogit/packages.git/commit/trunk?h=packages/firefox&id=bd92553bc3d37eb7667d9cdc349df89117a12687 .

#24 - 2019-11-18 05:09 PM - grizzlyuser

Tried to build iceweasel 70.0.1 with a few minor changes, it failed. Looks like because of recent rust update to 1.39.0.

#25 - 2019-11-18 09:20 PM - grizzlyuser

Successfully built iceweasel 70.0.1 for x86_64, but only after downgrading to rust 1.38.0-2. Not sure if upstream has patches to make it build with
newer version.

#26 - 2019-11-23 04:41 AM - eliotime3000

Actually, the Iceweasel language packs in the x86_64 version has been still into the version 69 (meanwhile the main package is into the version
70.0.1). The X86_32 and ARM releases of Icedove are still in the version 60.6.1, but the language packs for x86_32 and ARM are into the version
68.2.2.

#27 - 2020-01-19 12:56 PM - bill-auger
- Related to Packaging Request #2318: [iceweasel] needs upgrade to v70 for i686 and arm added

#28 - 2020-03-07 05:50 PM - Anonymous
Is it still WIP? Also there is #2614.

#30 - 2020-03-09 05:14 PM - bill-auger
this is a recurring situation - there are probably dozens of tickets about either icu, poppler, texlive-bin, and cups-filters - sometimes they wont build for

one of the arches and so the ticket gets left open

#31 - 2020-03-31 12:06 PM - Anonymous
poppler conflicts with poppler-glib and poppler-qt5
#32 - 2020-03-31 04:37 PM - freemor

libre/cups-filters and libre/texlive-bin now rebuilt for x86_64. new poppler not in arm/i686 yet.

#33 - 2020-05-02 02:52 AM - eliotime3000

Actually, the version 67 of ICU that arrived for x86_64 is generating conflicts with epiphany
, hardinfo, icecat, icedove and iceweasel.

resolviendo dependencias...

buscando conflictos entre paquetes...

error: no se pudo preparar la operacidén (no se pudieron satisfacer las dependencias)
:: instalando icu (67. se rompe la dependencia con «icu<66», necesaria para el paquete epiphany
se rompe la dependencia con «icu<66», necesaria para el paquete hardinfo

se rompe la dependencia con «icu<66», necesaria para el paquete icecat

: instalando icu
:: instalando icu
se rompe la dependencia con «icu<66», necesaria para el paquete icedove
se rompe la dependencia con «icu<66», necesaria para el paquete iceweasel
se rompe la dependencia con «icu<66», necesaria para el paquete texlive-bin

:: instalando icu

1-1)
1-1)
.1-1)
1-1)
1-1)
:: instalando icu 1-1)

(67
(67
: instalando icu (67.
(67
(67

#34 - 2020-05-02 05:05 AM - bill-auger

currently, this only affects x86_64 - arch32 and archarm have
not change 'icu’ versions; and have no staging builds

#35 - 2020-05-05 12:58 PM - bill-auger
- Status changed from confirmed to open
- Subject changed from [icu 0.65.1][poppler 0.82.0] Conflicts - packages need rebuilds to [STICKY][poppler] and friends (x86_64)

- Tracker changed from Bug to Housekeeping

#36 - 2020-05-05 12:58 PM - bill-auger
- Related to deleted (Packaging Request #2318: [iceweasel] needs upgrade to v70 for i686 and arm)

#37 - 2020-05-05 01:02 PM - bill-auger
- Description updated

- Subject changed from [STICKY][poppler] and friends (x86_64) to [STICKY][poppler]: and friends (x86_64)

#38 - 2020-05-05 01:03 PM - bill-auger
- File deleted (california-0.4.0-libical-3.0.patch)

#39 - 2020-05-05 01:03 PM - bill-auger
- File deleted (0002-Build-with-evolution-data-server-3.13.90.patch)

#40 - 2020-05-05 01:06 PM - bill-auger
- Related to Bug #2351 [libre/cups-filters]: rebuild against new poppler (x86_64) added

#41 - 2020-05-05 01:08 PM - bill-auger
- Related to Housekeeping #2719: [pcr/frescobaldi]: rebuild against new poppler (x86_64) added

#42 - 2020-05-05 01:10 PM - bill-auger

- Description updated

#43 - 2020-05-05 04:10 PM - bill-auger

- Description updated

#44 - 2020-05-05 05:10 PM - bill-auger

- Description updated

#45 - 2020-10-10 04:47 PM - dllud

A new rebuild is needed:

installing poppler (20.10.0-1) breaks dependency 'poppler=20.09.0' required by cups-filters
installing poppler (20.10.0-1) breaks dependency 'poppler=20.09.0-1' required by texlive-bin

#46 - 2020-12-08 05:38 PM - dllud

Another rebuild is needed:

cannot resolve "poppler=20.12.0-1", a dependency of "texlive-bin"

Current version in Arch is 20.12.1-1

#47 - 2020-12-09 01:30 AM - bill-auger

dllud - thanks for the prompt alert - the new poppler was caught quickly this time - the dependent packages were rebuilt yesterday, without
re-opening these rebuild tickets - the conflicts are resolved now

#48 - 2020-12-25 03:14 PM - dllud
icu's fault this time:
installing icu (68.2-1) breaks dependency 'libicui18n.s0=67-64' required by texlive-bin

installing icu (68.2-1) breaks dependency 'libicuuc.so=67-64" required by texlive-bin

texlive-bin needs a rebuild.

#49 - 2020-12-25 03:27 PM - bill-auger

there is an analogous set of "STICKY" tickets for 'icu’ dependents:

https://labs.parabola.nu/issues/2047

there is a 'icu-compat' package which resolves this sort of conflict for 'icu' dependents, without waiting for the package to be rebuilt - the 'poppler’
dependents are not so simple though - those must be rebuilt ASAP - 'texlive-bin' is coincidentally on both rebuild lists

there is a recent BR re: 'texlive-bin' - becasue of the 'icu-compat' package, it is already essentially 'fixed'; but i left it open so that people could find it
easily

https://labs.parabola.nu/issues/2950

#50 - 2021-01-06 02:30 PM - dllud
Heads up! :)
Now it's an actual poppler update breaking things:

installing poppler (21.01.0-1) breaks dependency 'poppler<20.12.2' required by cups-filters
installing poppler (21.01.0-1) breaks dependency 'poppler=20.12.1-1' required by texlive-bin

#51 - 2021-02-04 12:32 AM - eliotime3000
Actually, the version 21.02.0-1 of Poppler is generating the following package conflict
Sincronizando las bases de datos de los paquetes...

libre estd actualizado
core esta actualizado

extra 1522,4 KiB 2030 KiB/s 00:01 [#######4#####Ff###444#] 1002
community 5,1 MiB 5,38 MiB/s 00:01 [###########H##H4#H4#44] 100%

pcr estd actualizado
Iniciando actualizacién completa del sistema...

resolviendo dependencias...

buscando conflictos entre paquetes...

error: no se pudo preparar la operacién (no se pudieron satisfacer las dependencias)
instalando poppler (21.02.0-1) se rompe la dependencia con «poppler=

21.01.0-1», necesaria para el paquete cups-filters
instalando poppler (21.02.0-1) se rompe la dependencia con «poppler=

21.01.0-1», necesaria para el paquete texlive-bin

EDIT:

The following versions of cups-filters and texlive-bin needs to be updated to the following versions:
cups-filters: 1.28.7 >> https://archlinux.org/packages/extra/x86_64/cups-filters/
texlive-bin: 2020.54586-10 >> https:/archlinux.org/packages/extra/x86_64/texlive-bin/

#52 - 2021-03-03 03:41 AM - eliotime3000
Today, | found that Poppler 21.03.0-1 had the same problem than almost one month ago.

Sincronizando las bases de datos de los paquetes...
libre estd actualizado
core estd actualizado
extra estéd actualizado
community estéd actualizado
pcr estd actualizado
Iniciando actualizacién completa del sistema...
resolviendo dependencias...
buscando conflictos entre paquetes...
error: no se pudo preparar la operacidén (no se pudieron satisfacer las dependencias)
instalando poppler (21.03.0-1) se rompe la dependencia con «poppler=
21.02.0-1», necesaria para el paquete cups-filters
instalando poppler (21.03.0-1) se rompe la dependencia con «poppler=
21.02.0-1», necesaria para el paquete texlive-bin

#53 - 2021-03-04 12:25 PM - dllud

It's that time again:

installing poppler (21.03.0-1) breaks dependency 'poppler=21.02.0-1' required by cups-filters
installing poppler (21.03.0-1) breaks dependency 'poppler=21.02.0-1' required by texlive-bin

#54 - 2021-03-05 05:31 AM - bill-auger

only 3 weeks this time, too

#55 - 2021-04-08 07:15 AM - dllud

There we go again:

installing poppler (21.04.0-2) breaks dependency 'poppler=21.03.0-1' required by cups-filters
installing poppler (21.04.0-2) breaks dependency 'poppler=21.03.0-1' required by texlive-bin

As always, a big thanks for maintaining Parabola!

#56 - 2021-05-04 01:00 AM - eliotime3000
Actually, the packages texlive-bin and cups-filters ene-mere-time are affected by the Poppler update.

Here's the log:

instalando poppler (21.05.0-1) se rompe la dependencia con «poppler=
21.04.0-2», necesaria para el paquete cups-filters

instalando poppler (21.05.0-1) se rompe la dependencia con «poppler=
21.04.0-2», necesaria para el paquete texlive-bin

Thanks.

#57 - 2021-05-04 02:59 AM - bill-auger

thats what this ticket is for - thanks for noticing - the conflicts should be resolved now

#58 - 2021-06-05 05:50 AM - Anonymous

cups-filters and texlive-bin need to be rebuilt again. They depend on poppler 21.06.0, but the latest version in the repos is 21.06.1:

Starting full system upgrade...
resolving dependencies...
warning: cannot resolve "poppler=21.06.0-1", a dependency of "cups-filters"
warning: cannot resolve "poppler=21.06.0-1", a dependency of "texlive-bin"
The following packages cannot be upgraded due to unresolvable dependencies:
cups—-filters texlive-bin

Do you want to skip the above packages for this upgrade? [y/N] n

error: failed to prepare transaction (could not satisfy dependencies)
unable to satisfy dependency 'poppler=21.06.0-1"' required by cups-filters
:: unable to satisfy dependency 'poppler=21.06.0-1' required by texlive-bin

#59 - 2021-07-06 02:07 PM - biovoid

And we're back:

installing poppler (21.07.0-1) breaks dependency 'poppler=21.06.1-1"' required by cups-filters

#60 - 2021-07-07 01:24 AM - eliotime3000

instalando poppler (21.07.0-1) se rompe la dependencia con «poppler=
21.06.1-1», necesaria para el paquete texlive-bin

There's a dependence conflict with texlive-bin with the latest upgrade of Poppler package.

#61 - 2021-07-07 02:09 AM - bill-auger

fixed

#62 - 2021-07-26 04:39 AM - pavelsayekat

pacman -Syu

:: Starting full system upgrade...

resolving dependencies...

looking for conflicting packages...

error: failed to prepare transaction (could not satisfy dependencies)

;s installing poppler (21.07.0-2) breaks dependency 'poppler=21.07.0-1' required by cups-filters
;v installing poppler (21.07.0-2) breaks dependency 'poppler=21.07.0-1' required by texlive-bin

#63 - 2021-07-28 07:53 PM - bill-auger

fixed

#64 - 2021-08-04 02:11 AM - eliotime3000

texlive-bin package has been having some issue dependencies during package udpate.

Sincronizando las bases de datos de los paquetes...
libre estd actualizado
core estéd actualizado
extra estd actualizado
community estd actualizado
pcr estd actualizado
Iniciando actualizacidén completa del sistema...
resolviendo dependencias...
buscando conflictos entre paquetes...
error: no se pudo preparar la operacidén (no se pudieron satisfacer las dependencias)
instalando poppler (21.08.0-1) se rompe la dependencia con «poppler=
21.07.0-3», necesaria para el paquete texlive-bin

#65 - 2021-08-06 04:59 PM - bill-auger
- Related to Bug #3075: [cups-filters][texlive-bin]: installing poppler (N) breaks dependency added

#66 - 2021-09-05 09:36 AM - Anonymous
poppler 21.09.0-1 breaks texlive-bin

Synchronizing package databases...
nonprism is up to date

libre 314.2 KiB 714 KiB/s 00:00 [######
FHAF AR AR AR A AR AR AFFFRSAAFHFF] 100
core 121.9 KiB 271 KiB/s 00:00 [######
FHHF R A A F AR A A AR A A A AR A A AR AAFF RS AFF SRS HAFFRSHHFHHF] 100%
extra 1447.4 KiB 2.83 MiB/s 00:01 [######
A A A A A A A A A A AR AAF] 1003
community 5.4 MiB 3.72 MiB/s 00:01 [######

FHEFHHHEA AR A ) 1008
pcr is up to date
Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...
error: failed to prepare transaction (could not satisfy dependencies)
installing poppler (21.09.0-1) breaks dependency 'poppler=21.08.0-1' required by texlive-bin
#67 - 2021-10-11 05:34 AM - eliotime3000

texlive-bin package requieres to build again with the most recent version of Poppler.

Iniciando actualizacidén completa del sistema...

resolviendo dependencias...

buscando conflictos entre paquetes...

error: no se pudo preparar la operacidén (no se pudieron satisfacer las dependencias)
instalando poppler (21.10.0-1) se rompe la dependencia con «poppler=

21.09.0-1», necesaria para el paquete texlive-bin

EDIT: Added the prompt log.

#68 - 2021-11-01 08:42 PM - akik
- File links added

Just few newbie questions, feel free to ignore. Comparing your package build with the arch one (links in attached file because of too many
non-dictionary words error), why do you have a strong dependency for poppler version (around lines 121-124) that they don't have in the arch one?

And could that help avoiding the "breaks dependency" on update?

#69 - 2021-11-03 12:19 AM - eliotime3000

Poppler actually is updated from Arch. Unfortunately, some packages like texlive-bin are compiled in order to comply the GNU FSDG like other
packages like hplip and even Iceweasel (which is based in Firefox and are completely tied-up to the GNU FSDG).

Even worse: the recently recompiled texlive-bin still avoids me to proceed to upgrade, which makes me ignore it in order to keep the rest of packages
up-to-date. >>

Sincronizando las bases de datos de los paquetes...
libre estd actualizado
core estéd actualizado
extra estd actualizado
community estd actualizado
pcr estd actualizado
Iniciando actualizacién completa del sistema...
resolviendo dependencias...
advertencia: no se pudo resolver «poppler=21.10.0-1», una dependencia de «texlive-binx»
El siguiente paquete no se puede actualizar debido a dependencias que no se pudieron resolver:
texlive-bin

;Quiere omitir el siguiente paquete para esta actualizacidén? [s/N] s

buscando conflictos entre paquetes...

error: no se pudo preparar la operacidén (no se pudieron satisfacer las dependencias)
instalando poppler (21.11.0-1) se rompe la dependencia con «poppler=

21.09.0-1», necesaria para el paquete texlive-bin

#70 - 2021-11-03 04:06 PM - bill-auger
not "still" - it was fixed - its "again" again
texlive-bin 2021.58686-3.parabola8 fixes this (today)

#71 - 2021-11-03 04:07 PM - bill-auger
- Related to deleted (Bug #3075: [cups-filters][texlive-bin]: installing poppler (N) breaks dependency)

#72 - 2021-12-12 04:42 PM - ani

This happens on my x86_64 system since weeks back:

sudo pacman —-Syu
[sudo] password for andreas:
Synchronizing package databases...

libre 316.5 KiB 266 KiB/s 00:01 [############] 100%
core 123.5 KiB 147 KiB/s 00:01 [#####4#4#4#4] 100%
extra 1443.1 KiB 397 KiB/s 00:04 [############] 100%
community 5.6 MiB 213 KiB/s 00:27 [############] 100%

pcr is up to date
Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...
error: failed to prepare transaction (could not satisfy dependencies)
installing icu (70.1-1) breaks dependency 'libicuil8n.so=69-64"' required by texlive-bin
installing icu (70.1-1) breaks dependency 'libicuuc.so=69-64"' required by texlive-bin

#73 - 2022-01-09 11:29 AM - dllud

A new rebuild is needed:

installing poppler (22.01.0-1) breaks dependency 'poppler=21.11.0-1"' required by texlive-bin
#74 - 2022-01-14 04:12 AM - bill-auger

the 'texlive-bin' arch package no longer depends on poppler and no longer passes --with-system-poppler to ./configure

we generally try to avoid that, but to prefer system libs, if possible; but as an experiment, this current package follows arch WRT poppler - maybe it is
a good solution, for maintaining such pesky software as texlive

#75 - 2022-01-14 04:45 AM - bill-auger
a replacement for texlive-bin is in libre-testing now - can brave people please try it?
# pacman -U https://repo.parabola.nu/pool/parabola/texlive-bin-2021.59745-1.parabolal-x86_64.pkg.tar.zst

#76 - 2022-01-14 09:18 AM - theova

I've updated it and use it for my daily work. So far, | cannot see any problems.

#77 - 2022-01-14 05:03 PM - dllud

Works as expected here.

#78 - 2022-01-15 09:04 PM - bill-auger

ok i will move it into libre
#79 - 2022-01-16 03:37 AM - eliotime3000
Texlive-bin haves issues with the last poppler udpate.

Sincronizando las bases de datos de los paquetes...
libre estd actualizado

core 122,4 KiB 166 KiB/s 00:01 [#######444444444444444] 1002
extra 1436,4 KiB 1802 KiB/s 00:01 [########ffdd4444444444] 100

community estd actualizado

pcr estd actualizado
Iniciando actualizacidén completa del sistema...

resolviendo dependencias...

buscando conflictos entre paquetes...

error: no se pudo preparar la operacidén (no se pudieron satisfacer las dependencias)
instalando poppler (22.01.0-1) se rompe la dependencia con «poppler=

21.11.0-1», necesaria para el paquete texlive-bin

#80 - 2022-01-16 03:50 AM - bill-auger

eliotime3000 -

the texlive-bin package no longer depends on poppler - see the linked ticket #2776
pacman -Syu, with texlive-bin, should work today

#81 - 2022-05-09 03:45 PM - bill-auger

UPDATE: neither cups-filters nor texlive-bin strictly needs to be rebuild each time poppler is upgraded - i beleive that they vendor in their own copies
now - i remember that texlive-bin has not used the system poppler since about a year ago

for that reason, this 'sticky' epic for poppler, could probably be closed permanently - OTOH, we prefer to use system libs whenever possible - i just

havent decided to restore that or not - with poppler system libs, texlive-bin must be rebuilt each time either poppler or icu is upgraded; which is fairly
often - there is discussion of whether we need blacklist replacements for any of texlive; so it is still an open question

#82 - 2023-09-01 03:57 AM - bill-auger
- File deleted (links)

#83 - 2023-09-01 04:00 AM - bill-auger

- Description updated
